function [ds,img]=example_AprilTagFinder_complex
% a slightly more complex example of AprilTagFinder

%% 1. construct an AprilTagFinder object that will detect april tags of tag
%family Tag36h11, from video device 0 (the first webcam on your computer),
%and hide the color image window by setting the third argument to be false
a4m=AprilTagFinder('Tag36h11',0,false);
fprintf('close the figure to exit...\n');

%% 2. prepare your own matlab figure to show the image and detections
isDone=false;
  function onClose(~,~) %a nested function to stop the detection loop below
    isDone = true;
  end
myfig=figure('name','AprilTagFinder - Tag36h11',...
  'CloseRequestFcn',@onClose);

%% 3. the main detection loop
while ~isDone
  [ds,img]=a4m.find; %detect
  imshow(img);       %draw image
  hold on;           %hold on, otherwise the image just ploted will go away
  AprilTagFinder.plot(ds); %draw the detections using matlab code
  drawnow;           %force matlab to render the plot commend above
end

%% 4. clear up everything
clear('a4m');
delete(myfig);
end